( ! ) Warning: Declaration of action_plugin_tag::register(&$contr) should be compatible with DokuWiki_Action_Plugin::register(Doku_Event_Handler $controller) in /var/www/virtual/mxchange.org/wiki/htdocs/lib/plugins/tag/action.php on line 13
Call Stack
#TimeMemoryFunctionLocation
10.0000353544{main}( ).../doku.php:0
20.0001354544require_once( '/var/www/virtual/mxchange.org/wiki/htdocs/inc/init.php' ).../doku.php:29
30.0141589088Doku_Event_Handler->Doku_Event_Handler( ).../init.php:213
40.0144590216plugin_load( ).../events.php:157
50.0144590216Doku_Plugin_Controller->load( ).../pluginutils.php:45
60.0144590288class_exists ( ).../plugincontroller.class.php:95
70.0144590288spl_autoload_call ( ).../plugincontroller.class.php:95
80.0144590376load_autoload( ).../plugincontroller.class.php:95
90.0144591576include_once( '/var/www/virtual/mxchange.org/wiki/htdocs/lib/plugins/tag/action.php' ).../load.php:123

( ! ) Warning: Declaration of action_plugin_captcha::register(&$controller) should be compatible with DokuWiki_Action_Plugin::register(Doku_Event_Handler $controller) in /var/www/virtual/mxchange.org/wiki/htdocs/lib/plugins/captcha/action.php on line 0
Call Stack
#TimeMemoryFunctionLocation
10.0000353544{main}( ).../doku.php:0
20.0001354544require_once( '/var/www/virtual/mxchange.org/wiki/htdocs/inc/init.php' ).../doku.php:29
30.0141589088Doku_Event_Handler->Doku_Event_Handler( ).../init.php:213
40.0147598880plugin_load( ).../events.php:157
50.0147598880Doku_Plugin_Controller->load( ).../pluginutils.php:45
60.0147598928class_exists ( ).../plugincontroller.class.php:95
70.0147598928spl_autoload_call ( ).../plugincontroller.class.php:95
80.0147599016load_autoload( ).../plugincontroller.class.php:95

( ! ) Warning: Declaration of action_plugin_qc::register(&$controller) should be compatible with DokuWiki_Action_Plugin::register(Doku_Event_Handler $controller) in /var/www/virtual/mxchange.org/wiki/htdocs/lib/plugins/qc/action.php on line 0
Call Stack
#TimeMemoryFunctionLocation
10.0000353544{main}( ).../doku.php:0
20.0001354544require_once( '/var/www/virtual/mxchange.org/wiki/htdocs/inc/init.php' ).../doku.php:29
30.0141589088Doku_Event_Handler->Doku_Event_Handler( ).../init.php:213
40.0149605896plugin_load( ).../events.php:157
50.0149605896Doku_Plugin_Controller->load( ).../pluginutils.php:45
60.0149605944class_exists ( ).../plugincontroller.class.php:95
70.0149605944spl_autoload_call ( ).../plugincontroller.class.php:95
80.0149606032load_autoload( ).../plugincontroller.class.php:95

( ! ) Warning: Declaration of action_plugin_authad::register(Doku_Event_Handler &$controller) should be compatible with DokuWiki_Action_Plugin::register(Doku_Event_Handler $controller) in /var/www/virtual/mxchange.org/wiki/htdocs/lib/plugins/authad/action.php on line 0
Call Stack
#TimeMemoryFunctionLocation
10.0000353544{main}( ).../doku.php:0
20.0001354544require_once( '/var/www/virtual/mxchange.org/wiki/htdocs/inc/init.php' ).../doku.php:29
30.0141589088Doku_Event_Handler->Doku_Event_Handler( ).../init.php:213
40.0151612328plugin_load( ).../events.php:157
50.0151612328Doku_Plugin_Controller->load( ).../pluginutils.php:45
60.0151612376class_exists ( ).../plugincontroller.class.php:95
70.0151612376spl_autoload_call ( ).../plugincontroller.class.php:95
80.0151612464load_autoload( ).../plugincontroller.class.php:95
de:webmaster:first-installation:installation-preparation [Mailer-Project Documentation Wiki]

User Tools

Site Tools


de:webmaster:first-installation:installation-preparation

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
de:webmaster:first-installation:installation-preparation [2014/02/04 21:12]
quix0r Fix for fixed stuff ;-)
de:webmaster:first-installation:installation-preparation [2014/02/04 21:13] (current)
quix0r Opps...
Line 4: Line 4:
 Derzeit gibt es - es haben schon viele Benuzter mich danach gefragt - **__kein__** ZIP-Archiv oder TAR-Ball zum herunterladen. Eventuell kursieren auf anderen Servern ältere Versionen als herunterladbares Archiv. Auch gibt es [[http://​mxchange.org/​downloads/​cvs-nightly/​|auf meinem Server]] alle erschienen Versionen. Es wird hier **dringenst** von einer Verwendung dieser Versionen abgeraten. Diese sind zum einen stark veraltet und zum anderen sollen die Downloads nur zu Dokumentierungszwecken dienen. Auch beinhalten diese eventuell Bugs, die schon bereits gefixt sind. Derzeit gibt es - es haben schon viele Benuzter mich danach gefragt - **__kein__** ZIP-Archiv oder TAR-Ball zum herunterladen. Eventuell kursieren auf anderen Servern ältere Versionen als herunterladbares Archiv. Auch gibt es [[http://​mxchange.org/​downloads/​cvs-nightly/​|auf meinem Server]] alle erschienen Versionen. Es wird hier **dringenst** von einer Verwendung dieser Versionen abgeraten. Diese sind zum einen stark veraltet und zum anderen sollen die Downloads nur zu Dokumentierungszwecken dienen. Auch beinhalten diese eventuell Bugs, die schon bereits gefixt sind.
 Aktuell gibt es per GIT den //master// und die Branch 0.2.1-FINAL. Der //master// wird allgemein als //"​Entwicklerzweig"//​ verwendet, was für das Mailer-Projekt genauso gilt. Die Branch 0.2.1-FINAL ist derzeit noch in der Entwicklung - es sind nicht alle Erweiterungen fertig, sie kann aber durchaus schon eingesetzt werden. Mehr dazu unter //​[[de:​webmaster:​for-beginner:​what-extensions-are-for|Wozu Erweiterungen da sind]]//. Aktuell gibt es per GIT den //master// und die Branch 0.2.1-FINAL. Der //master// wird allgemein als //"​Entwicklerzweig"//​ verwendet, was für das Mailer-Projekt genauso gilt. Die Branch 0.2.1-FINAL ist derzeit noch in der Entwicklung - es sind nicht alle Erweiterungen fertig, sie kann aber durchaus schon eingesetzt werden. Mehr dazu unter //​[[de:​webmaster:​for-beginner:​what-extensions-are-for|Wozu Erweiterungen da sind]]//.
-===== Mailer-Projekt mit Subversion ​herunterladen:​ =====+===== Mailer-Projekt mit GIT herunterladen:​ =====
 Da es für 0.2.1-FINAL wie oben beschrieben kein Archiv zum Herunterladen gibt und diese empfohlen wird, zu nutzen, bleibt der Download per GIT übrig. Für Windows-Nutzer empfielt sich wegen der einfachen Bedienung her [[https://​en.wikipedia.org/​wiki/​TortoiseGit|TortoiseGIT]],​ unter MacOS, Linux und allen anderen Varrianten (FreeBSD usw.) sollte es ein herunterladbares Installationspaket (.deb für Debian z.B.) vom GIT-Client geben. Ich setze hier voraus, dass ein passender Client installiert ist und der Umgang damit bekannt ist, da hier eine Anleitung zum Umgang mit allen Clients den Rahmen des Wikis sprengen würde. Da es für 0.2.1-FINAL wie oben beschrieben kein Archiv zum Herunterladen gibt und diese empfohlen wird, zu nutzen, bleibt der Download per GIT übrig. Für Windows-Nutzer empfielt sich wegen der einfachen Bedienung her [[https://​en.wikipedia.org/​wiki/​TortoiseGit|TortoiseGIT]],​ unter MacOS, Linux und allen anderen Varrianten (FreeBSD usw.) sollte es ein herunterladbares Installationspaket (.deb für Debian z.B.) vom GIT-Client geben. Ich setze hier voraus, dass ein passender Client installiert ist und der Umgang damit bekannt ist, da hier eine Anleitung zum Umgang mit allen Clients den Rahmen des Wikis sprengen würde.
 ==== Unter Linux (ohne GUI): ==== ==== Unter Linux (ohne GUI): ====
de/webmaster/first-installation/installation-preparation.1391544751.txt.gz · Last modified: 2014/02/04 21:12 by quix0r